# frozen_string_literal: true

require 'restclient'
require 'json'
require 'direct_api/adapters/campaigns_adapter'
require 'direct_api/adapters/adgroups_adapter'
require 'direct_api/adapters/ads_adapter'

# Yandex Direct API module
module DirectApi

  autoload :Response, 'direct_api/response'
  autoload :Request, 'direct_api/request'
  autoload :Session, 'direct_api/session'

  autoload :ConnectionError,  'direct_api/errors/connection_error'
  autoload :RequestError,     'direct_api/errors/request_error'

end
